## PhoshAuth

PhoshAuth — PAM authentication handling

## Functions

GObject * | phosh_auth_new ()
void | phosh_auth_authenticate_async_start ()
gboolean | phosh_auth_authenticate_async_finish ()

## Types and Values

#define | PHOSH_TYPE_AUTH
| PhoshAuth

## Object Hierarchy

        GObject
        ╰── PhoshAuth

## Description

## Functions

### phosh_auth_new ()

    GObject *
    phosh_auth_new (void);

### phosh_auth_authenticate_async_start ()

    void
    phosh_auth_authenticate_async_start (PhoshAuth *self,
                                         const char *number,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

### phosh_auth_authenticate_async_finish ()

    gboolean
    phosh_auth_authenticate_async_finish (PhoshAuth *self,
                                          GAsyncResult *result,
                                          GError **error);

## Types and Values

### PHOSH_TYPE_AUTH

    #define PHOSH_TYPE_AUTH (phosh_auth_get_type())

### PhoshAuth

    typedef struct _PhoshAuth PhoshAuth;